ome-xml 5.2.3

Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | Private Attributes | List of all members
ome::xml::model::primitives::UnitsPower Class Reference

UnitsPower enumeration. More...

`#include <ome/xml/model/primitives/PowerQuantity.h>`

Collaboration diagram for ome::xml::model::primitives::UnitsPower:
[legend]

## Public Types
enum | enum_value { YOTTAWATT, ZETTAWATT, EXAWATT, PETAWATT, TERAWATT, GIGAWATT, MEGAWATT, KILOWATT, HECTOWATT, DECAWATT, WATT, DECIWATT, CENTIWATT, MILLIWATT, MICROWATT, NANOWATT, PICOWATT, FEMTOWATT, ATTOWATT, ZEPTOWATT, YOCTOWATT }
| Enumeration values. More...
typedef std::map< std::string, UnitsPower::enum_value > | string_map_type
| String map type.
typedef std::map< UnitsPower::enum_value, std::string > | value_map_type
| Value map type.

## Public Member Functions
| UnitsPower (enum_value value)
| Construct a UnitsPower quantity by an enumeration value. More...
| UnitsPower (const std::string &name, bool strict=true)
| Construct a UnitsPower enumeration by an enumeration name. More...
| UnitsPower (const UnitsPower &original)
| Copy constructor. More...
UnitsPower & | operator= (const UnitsPower &rhs)
| Assignment operator.
| operator enum_value () const
| Cast the enumeration to its value. More...
| operator const std::string & () const
| Cast the enumeration to its name. More...

## Static Public Member Functions
static const string_map_type & | strings ()
| Get a map of valid string names and enum values. More...
static const value_map_type & | values ()
| Get a map of valid enum values and string names. More...

## Static Private Member Functions
static const string_map_type & | lowercase_strings ()
| Get a map of valid lowercased string names and enum values. More...

## Private Attributes
enum_value | value
| Enumeration value.
const std::string * | name
| Enumeration name.

## Detailed Description

UnitsPower enumeration.

## Member Enumeration Documentation

## § enum_value

enum ome::xml::model::primitives::UnitsPower::enum_value

Enumeration values.

Enumerator
YOTTAWATT | yottawatt unit.
ZETTAWATT | zettawatt unit.
EXAWATT | exawatt unit.
PETAWATT | petawatt unit.
TERAWATT | terawatt unit.
GIGAWATT | gigawatt unit.
MEGAWATT | megawatt unit.
KILOWATT | kilowatt unit.
HECTOWATT | hectowatt unit.
DECAWATT | decawatt unit.
WATT | watt unit.
DECIWATT | deciwatt unit.
CENTIWATT | centiwatt unit.
MILLIWATT | milliwatt unit.
MICROWATT | microwatt unit.
NANOWATT | nanowatt unit.
PICOWATT | picowatt unit.
FEMTOWATT | femtowatt unit.
ATTOWATT | attowatt unit.
ZEPTOWATT | zeptowatt unit.
YOCTOWATT | yoctowatt unit.

## Constructor & Destructor Documentation

## § UnitsPower() [1/3]

ome::xml::model::primitives::UnitsPower::UnitsPower | ( | enum_value | value | ) |

Construct a UnitsPower quantity by an enumeration value.

Parameters

  value | the value of the enumeration.

Referenced by ome::xml::model::primitives::operator>>().

Here is the caller graph for this function:

## § UnitsPower() [2/3]

ome::xml::model::primitives::UnitsPower::UnitsPower | ( | const std::string & | name,
|  | bool | strict = `true`
| ) |  |

Construct a UnitsPower enumeration by an enumeration name.

Exact matching of the name will require the name to match one of the valid enumeration names. Inexact matching will strip leading and trailing whitespace and perform a case-insensitive match. Exact matching is recommended for use in program code which does not process user input; inexact matching is recommended when processing potentially malformed user input.

Parameters

  name | the name of the enumeration.
  strict | true to require an exact name, false to allow an inexact match.

## § UnitsPower() [3/3]

ome::xml::model::primitives::UnitsPower::UnitsPower | ( | const UnitsPower & | original | ) |

Copy constructor.

Parameters

  original | the instance to copy.

## Member Function Documentation

## § lowercase_strings()

static const string_map_type& ome::xml::model::primitives::UnitsPower::lowercase_strings | ( |  | ) |
| staticprivate

Get a map of valid lowercased string names and enum values.

Returns
  a map of lowercased string names to enum values.

## § operator const std::string &()

ome::xml::model::primitives::UnitsPower::operator const std::string & | ( |  | ) | const
| inline

Cast the enumeration to its name.

Returns
  the enumeration value.

References name.

## § operator enum_value()

ome::xml::model::primitives::UnitsPower::operator enum_value | ( |  | ) | const
| inline

Cast the enumeration to its value.

Returns
  the enumeration value.

References value.

## § strings()

static const string_map_type& ome::xml::model::primitives::UnitsPower::strings | ( |  | ) |
| static

Get a map of valid string names and enum values.

Returns
  a map of string names to enum values.

## § values()

static const value_map_type& ome::xml::model::primitives::UnitsPower::values | ( |  | ) |
| static

Get a map of valid enum values and string names.

Returns
  a map of enum values to string names.

The documentation for this class was generated from the following file:

- ome/xml/model/primitives/PowerQuantity.h